libsidplayfp::PSID Class Referencefinal
Inheritance diagram for libsidplayfp::PSID:

## Public Member Functions

const char * | createMD5 (char *md5) override
const char * | createMD5New (char *md5) override
Public Member Functions inherited from libsidplayfp::SidTuneBase
unsigned int | selectSong (unsigned int songNum)
const SidTuneInfo * | getInfo () const
const SidTuneInfo * | getInfo (unsigned int songNum)
virtual void | placeSidTuneInC64mem (sidmemory &mem)
const uint_least8_t * | c64Data () const

## Static Public Member Functions

static SidTuneBase * | load (buffer_t &dataBuf)
Static Public Member Functions inherited from libsidplayfp::SidTuneBase
static SidTuneBase * | load (const char *fileName, const char **fileNameExt, bool separatorIsSlash)
static SidTuneBase * | load (LoaderFunc loader, const char *fileName, const char **fileNameExt, bool separatorIsSlash)
static SidTuneBase * | read (const uint_least8_t *sourceBuffer, uint_least32_t bufferLen)

## Additional Inherited Members

Public Types inherited from libsidplayfp::SidTuneBase
using | LoaderFunc = void(*)(const char *fileName, buffer_t &bufferRef)
Protected Types inherited from libsidplayfp::SidTuneBase
using | buffer_t = std::vector< uint8_t >
Protected Member Functions inherited from libsidplayfp::SidTuneBase
void | convertOldStyleSpeedToTables (uint_least32_t speed, SidTuneInfo::clock_t clock=SidTuneInfo::CLOCK_PAL)
bool | checkCompatibility ()
bool | checkRelocInfo ()
void | resolveAddrs (const uint_least8_t *c64data)
virtual void | acceptSidTune (const char *dataFileName, const char *infoFileName, buffer_t &buf, bool isSlashedFileName)
std::string | petsciiToAscii (SmartPtr_sidtt< const uint8_t > &spPet)
Static Protected Member Functions inherited from libsidplayfp::SidTuneBase
static void | loadFile (const char *fileName, buffer_t &bufferRef)
Protected Attributes inherited from libsidplayfp::SidTuneBase
std::unique_ptr< SidTuneInfoImpl > | info
uint_least8_t | songSpeed [MAX_SONGS]
SidTuneInfo::clock_t | clockSpeed [MAX_SONGS]
uint_least32_t | fileOffset
| For files with header: offset to real data.
buffer_t | cache
Static Protected Attributes inherited from libsidplayfp::SidTuneBase
static constexpr unsigned int | MAX_SONGS = 256
| Also PSID file format limit.
static const char | ERR_TRUNCATED [] = "SIDTUNE ERROR: File is most likely truncated"
static const char | ERR_INVALID [] = "SIDTUNE ERROR: File contains invalid data"

## Member Function Documentation

## createMD5()

const char * libsidplayfp::PSID::createMD5 | ( | char * |  | ) |

override virtual

Calculates the MD5 hash of the tune. Not providing an md5 buffer will cause the internal one to be used. If provided, buffer must be MD5_LENGTH + 1

Returns
  a pointer to the buffer containing the md5 string.

Reimplemented from libsidplayfp::SidTuneBase.

## createMD5New()

const char * libsidplayfp::PSID::createMD5New | ( | char * |  | ) |

override virtual

Calculates the MD5 hash of the tune. Not providing an md5 buffer will cause the internal one to be used. If provided, buffer must be MD5_LENGTH + 1

Returns
  a pointer to the buffer containing the md5 string.

Reimplemented from libsidplayfp::SidTuneBase.

## load()

SidTuneBase * libsidplayfp::PSID::load | ( | buffer_t & | dataBuf | ) |

static

Returns
  pointer to a SidTune or 0 if not a PSID file

Exceptions

  loadError | if PSID file is corrupt

The documentation for this class was generated from the following files:

- PSID.h
- PSID.cpp